Commit 648ee20d authored by Steffen Müthing's avatar Steffen Müthing

Merge branch 'feature/infrastructure-updates' into 'master'

Infrastructure updates

See merge request !7

(cherry picked from commit 44ad28d3)

f655c1d8 [doc] Update documentation
7b184a09 [cmake] Bump required version to 3.1.0
e8c5be3b [ci] Stop testing with Debian 8
parent aec4713a
Pipeline #6883 passed with stage
in 3 minutes and 44 seconds
TypeTree
========
This is the 2.4.0-rc1 version of the TypeTree library for statically typed object trees.
This is the 2.6.0-rc1 version of the TypeTree library for statically typed object trees.
TypeTree 2.4.0-rc1 is compatible with the 2.4.0 release of the DUNE core modules and
the 2.4.0 release of PDELab.
TypeTree 2.6.0-rc1 is compatible with the 2.6.0 release of the DUNE core modules and
the 2.6.0 release of PDELab.
Changes
=======
TypeTree 2.6
------------
- TypeTree has updated its minimum build toolchain requirements. You now need a compiler that is at
least compatible with GCC 5 in C++14 mode and CMake 3.1.0.
TypeTree 2.5
------------
......
......@@ -2,7 +2,7 @@
project("dune-typetree" C CXX)
# general stuff
cmake_minimum_required(VERSION 2.8.6)
cmake_minimum_required(VERSION 3.1.0)
if(NOT (dune-common_DIR OR dune-common_ROOT OR
"${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
......
TypeTree
========
This is version 2.4.0-rc1 of the TypeTree library.
This is version 2.6.0-rc1 of the TypeTree library.
TypeTree is a template library for constructing and operating on statically
typed trees of objects. It is based around the idea of defining loosely coupled,
......
Module: dune-typetree
Version: 2.6-dev
Version: 2.6-rc1
Maintainer: steffen.muething@iwr.uni-heidelberg.de
Depends: dune-common (>= 2.5)
Depends: dune-common (>= 2.6)
Whitespace-Hook: Yes
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment